> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swervpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate credit transaction

> Simulate credit transaction (Sandbox Only)



## OpenAPI

````yaml POST /collections/{id}/credit
openapi: 3.0.0
info:
  title: Swervpay Developer API Specification
  version: 0.0.0
servers:
  - url: https://api.swervpay.co/api/v1
    description: Production API
  - url: https://sandbox.swervpay.co/api/v1
    description: Sandbox API
security:
  - bearerAuth: []
paths:
  /collections/{id}/credit:
    post:
      tags:
        - collection.credit
      description: Simulate credit transaction (Sandbox Only)
      operationId: creditCollection
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenapiIdPathRequestWithCreditWalletInput'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseCreatePayoutResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsererrorError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsererrorError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsererrorError'
components:
  schemas:
    OpenapiIdPathRequestWithCreditWalletInput:
      type: object
      properties:
        amount:
          type: number
        sender:
          $ref: '#/components/schemas/TypesCreditWalletSenderInput'
    ResponseCreatePayoutResponse:
      type: object
      properties:
        id:
          type: string
        message:
          type: string
        reference:
          type: string
    UsererrorError:
      type: object
      properties:
        message:
          type: string
        values:
          type: object
          additionalProperties: {}
    TypesCreditWalletSenderInput:
      type: object
      properties:
        account_name:
          type: string
        account_number:
          type: string
        bank_code:
          type: string
        bank_name:
          type: string
        narration:
          type: string
        reference:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````